import { CanActivate, ExecutionContext, Injectable } from "@nestjs/common";
import { AppConfig } from "src/app.config";

@Injectable()
export class AuthGuard implements CanActivate {
    constructor(
        private appConfig: AppConfig,
    ) {}
    async canActivate(context: ExecutionContext): Promise<boolean> {
        const request = context.switchToHttp().getRequest();
        const authHeader = request.headers.authorization;
        return authHeader == this.appConfig.serviceToken;
    }
}